Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.DbStream Method
BTreeCursor Class See Also Send Feedback

Create a database stream pointing to a key/value pair where the data item is an external file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public DatabaseStream DbStream()

Visual Basic (Declaration)
    Public Function DbStream As DatabaseStream

Visual C++
    public:
    DatabaseStream^ DbStream()

#### Return Value

A newly created database stream

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DatabaseException | Thrown if the data item is not an external file.

# See Also

BTreeCursor Class
DbStream Overload
BerkeleyDB Namespace